Can't install on Tumbleweed

Issues with installing under all Linux Distributions

Can't install on Tumbleweed

Postby Atri7 » Wed Feb 12, 2020 1:55 pm

RPM install mostly proceeds smoothly, but OO still isn't bootable if I don't install the desktop-integration files. :? When I try to install them, I get this error:

Code: Select all   Expand viewCollapse view
atri@tallent:~/Downloads/en-US/RPMS/desktop-integration> sudo rpm -Uvih *rpm[sudo] password for root:
error: Failed dependencies:
        openoffice4.1.7-suse-menus conflicts with openoffice4.1.7-freedesktop-menus-4.1.7-9800.noarch
        openoffice4.1.7-redhat-menus conflicts with openoffice4.1.7-freedesktop-menus-4.1.7-9800.noarch
        openoffice4.1.7-mandriva-menus conflicts with openoffice4.1.7-freedesktop-menus-4.1.7-9800.noarch
        mandrake-release is needed by openoffice4.1.7-mandriva-menus-4.1.7-9800.noarch
        redhat-release is needed by openoffice4.1.7-redhat-menus-4.1.7-9800.noarch
        /etc/SuSE-release is needed by openoffice4.1.7-suse-menus-4.1.7-9800.noarch
atri@tallent:~/Downloads/en-US/RPMS/desktop-integration>

None of these packages register as being already installed or available in the oS repos when I try to add/remove them with zypper. What should I do to fix the problem? Thanks.
Last edited by robleyd on Wed Feb 12, 2020 11:13 pm, edited 2 times in total.
Reason: Remove Toxic Issue icon
OpenOffice 4.1.7 on openSUSE Tumbleweed
Atri7
 
Posts: 2
Joined: Wed Feb 12, 2020 1:41 pm

Re: Can't install on Tumbleweed

Postby robleyd » Wed Feb 12, 2020 11:12 pm

You only need one of the desktop-integration files. See the Installation instructions for Linux; in the Linux RPM-based Installation section it says:
Install the desktop integration features for your setup.
cd to desktop-integration (in the installation directory),
and install an appropriate desktop interface using RPM. (Try the freedesktop-menus first.)
Cheers
David
Apache OpenOffice 420m2(Build:9821) - Slackware 14.2 - 64 bit
LibreOffice 6.0.7.3 - Slackware 14.2 - 64 bit
Apache OpenOffice 4.1.4 - Windows 7 Virtual machine
User avatar
robleyd
Moderator
 
Posts: 3508
Joined: Mon Aug 19, 2013 3:47 am
Location: Murbko, Australia

Re: Can't install on Tumbleweed

Postby RoryOF » Wed Feb 12, 2020 11:17 pm

From memory, installing on Xubuntu, the installation of desktop-integration may clash with a system-provided libreoffice file; I normally remove all libreoffice files before installing OpenOffice; to do so in Xubuntu I use
Code: Select all   Expand viewCollapse view

sudo apt purge libreoffice*



You will have to translate that for non DEB versions of linux. Do not omit the trailing *
Apache OpenOffice 4.1.7 on Xubuntu 20.04.1 (mostly 64 bit version) and very infrequently on Win2K/XP
User avatar
RoryOF
Moderator
 
Posts: 31541
Joined: Sat Jan 31, 2009 9:30 pm
Location: Ireland

Re: Can't install on Tumbleweed

Postby Villeroy » Wed Feb 12, 2020 11:49 pm

Do not remove LibreOffice. It is the better office suite.

Simply create your own desktop link pointing to /opt/openoffice/program/soffice
I start it via Alt+F2 or from a terminal
Please, edit this topic's initial post and add "[Solved]" to the subject line if your problem has been solved.
Ubuntu 18.04, no OpenOffice, LibreOffice 6.4
User avatar
Villeroy
Volunteer
 
Posts: 28651
Joined: Mon Oct 08, 2007 1:35 am
Location: Germany

Re: Can't install on Tumbleweed

Postby Atri7 » Thu Feb 13, 2020 6:33 pm

I installed only
Code: Select all   Expand viewCollapse view
openoffice4.1.7-freedesktop-menus-4.1.7-9800.noarch
. It overwrote a LibreOffice file, but I still can't start OO. The terminal commands listed on the wiki don't work either. Trying to install the SUSE package returns another missing dependency error:
Code: Select all   Expand viewCollapse view
Problem: nothing provides /etc/SuSE-release needed by openoffice4.1.7-suse-menus-4.1.7-9800.noarch
OpenOffice 4.1.7 on openSUSE Tumbleweed
Atri7
 
Posts: 2
Joined: Wed Feb 12, 2020 1:41 pm

Re: Can't install on Tumbleweed

Postby Bill » Thu Feb 13, 2020 7:09 pm

Atri7 wrote:The terminal commands listed on the wiki don't work either.

The command "soffice" in the wiki has been taken over by LibreOffice. There's also a typo in the command posted by Villeroy ("openoffice" should be "openoffice4"). Using "/opt/openoffice4/program/soffice" instead of "/opt/openoffice/program/soffice" or "soffice" in the command line works for me on Manjaro.
AOO 4.1.7 on Manjaro Cinnamon
Bill
Volunteer
 
Posts: 7916
Joined: Sat Nov 24, 2007 6:48 am

Re: Can't install on Tumbleweed

Postby robleyd » Thu Mar 19, 2020 9:56 am

@LulaRobinson - why are you posting a response that is totally unrelated to the original question and is copied from another site??
Cheers
David
Apache OpenOffice 420m2(Build:9821) - Slackware 14.2 - 64 bit
LibreOffice 6.0.7.3 - Slackware 14.2 - 64 bit
Apache OpenOffice 4.1.4 - Windows 7 Virtual machine
User avatar
robleyd
Moderator
 
Posts: 3508
Joined: Mon Aug 19, 2013 3:47 am
Location: Murbko, Australia


Return to Linux

Who is online

Users browsing this forum: No registered users and 1 guest